/*
* Copyright 2004 - 2009 by dronten@gmail.com
*
* This source is distributed under the terms of the GNU PUBLIC LICENSE version 3
* http://www.gnu.org/licenses/gpl.html
*/

package com.googlepages.dronten.jtagger.gui.albumtab;

import javax.swing.*;


/**
 * Batch album renamer tab.<br>
 * Contains AlbumTable and AlbumOptions panels.
 *
 * @see AlbumOptionsPanel
 * @see AlbumTablePanel
 */
public class AlbumSplitPane extends JSplitPane {
    private static final long   serialVersionUID = 1;
    private AlbumOptionsPanel   aAlbumOptionsPanel = null;
    private AlbumTablePanel     aAlbumTable = null;


    /**
     *
     */
    public AlbumSplitPane() {
        super();

        aAlbumTable = new AlbumTablePanel();
        aAlbumOptionsPanel = new AlbumOptionsPanel();

        setLeftComponent(aAlbumOptionsPanel);
        setRightComponent(aAlbumTable);
    }


    /**
     * Get album options object.
     *
     * @return Table
     */
    public AlbumOptionsPanel getAlbumOptionsPanel() {
        return aAlbumOptionsPanel;
    }


    /**
     * Get album table.
     *
     * @return Table
     */
    public AlbumTablePanel getAlbumTable() {
        return aAlbumTable;
    }
}
