/*
* Copyright 2008 Patrick Oosterveld - patrick.oosterveld@gmail.com
* Copyright 2002 - 2008 The Apache Software Foundation
*
* This source is distributed with the Apache 2.0 License
* http://www.apache.org/licenses/LICENSE-2.0
*/

package com.googlepages.dronten.jtagger.util;

import java.io.*;

/**
 * Copy from apache.commons.io
 */
public class IOUtils {
    /**
     *
     * @param   file
     * @return
     * @throws IOException
     */
    public static byte[] toByteArray(File file) throws IOException {
        FileInputStream inputStream = null;
        ByteArrayOutputStream outputStream = new ByteArrayOutputStream();

        try {
            inputStream = new FileInputStream(file);
            copy(inputStream, outputStream);
        }
        catch (Exception e) {
            throw new IOException(e.getMessage());
        }
        finally {
            if (inputStream != null) {
                inputStream.close();
            }
        }

        return outputStream.toByteArray();
    }


    /**
     *
     * @param input
     * @param output
     * @return
     * @throws IOException
     */
    public static int copy(InputStream input, OutputStream output) throws IOException {
        byte buffer[] = new byte[4096];
        int count = 0;

        for (int n = 0; -1 != (n = input.read(buffer));) {
            output.write(buffer, 0, n);
            count += n;
        }

        return count;
    }


    /**
     *
     * @param fileName
     * @return
     */
    public static MimeType getMimeTypeFromFile(String fileName) {
        int extFrom = fileName.lastIndexOf(".");
        return MimeType.getMimeType(fileName.substring(extFrom+1, fileName.length()));
    }

}
